package org.wso2.carbon.device.mgt.ios.api.utils.beans.wrapper;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.wso2.carbon.device.mgt.ios.payload.beans.LDAP;

import java.util.List;

@ApiModel(value = "LDAPBeanWrapper",
        description = "This class carries all information related to a LDAPBean.")
public class LDAPBeanWrapper {

    @ApiModelProperty(name = "deviceIDs", value = "List of device Ids to be need to execute LDAP operation.", required = true)
    private List<String> deviceIDs;
    @ApiModelProperty(name = "operation", value = "LDAP operation.", required = true)
    private LDAP operation;

    public List<String> getDeviceIDs() {
        return deviceIDs;
    }

    public void setDeviceIDs(List<String> deviceIDs) {
        this.deviceIDs = deviceIDs;
    }

    public LDAP getOperation() {
        return operation;
    }

    public void setOperation(LDAP operation) {
        this.operation = operation;
    }
}
